/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.EmergencyRecording: ImageVector
    get() {
        if (_emergencyRecording != null) {
            return _emergencyRecording!!
        }
        _emergencyRecording = materialIcon(name = "TwoTone.EmergencyRecording") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(4.0f, 6.0f)
                verticalLineToRelative(12.0f)
                horizontalLineToRelative(12.0f)
                verticalLineTo(6.0f)
                horizontalLineTo(4.0f)
                close()
                moveTo(15.0f, 13.73f)
                lineToRelative(-1.0f, 1.73f)
                lineToRelative(-3.0f, -1.73f)
                verticalLineTo(17.0f)
                horizontalLineTo(9.0f)
                verticalLineToRelative(-3.27f)
                lineToRelative(-3.0f, 1.73f)
                lineToRelative(-1.0f, -1.73f)
                lineTo(8.0f, 12.0f)
                lineToRelative(-3.0f, -1.73f)
                lineToRelative(1.0f, -1.73f)
                lineToRelative(3.0f, 1.73f)
                verticalLineTo(7.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(3.27f)
                lineToRelative(3.0f, -1.73f)
                lineToRelative(1.0f, 1.73f)
                lineTo(12.0f, 12.0f)
                lineTo(15.0f, 13.73f)
                close()
            }
            materialPath {
                moveTo(18.0f, 10.48f)
                verticalLineTo(6.0f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                horizontalLineTo(4.0f)
                curveTo(2.9f, 4.0f, 2.0f, 4.9f, 2.0f, 6.0f)
                verticalLineToRelative(12.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(12.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineToRelative(-4.48f)
                lineToRelative(4.0f, 3.98f)
                verticalLineToRelative(-11.0f)
                lineTo(18.0f, 10.48f)
                close()
                moveTo(16.0f, 18.0f)
                horizontalLineTo(4.0f)
                verticalLineTo(6.0f)
                horizontalLineToRelative(12.0f)
                verticalLineTo(18.0f)
                close()
                moveTo(12.0f, 12.0f)
                lineToRelative(3.0f, 1.73f)
                lineToRelative(-1.0f, 1.73f)
                lineToRelative(-3.0f, -1.73f)
                verticalLineTo(17.0f)
                horizontalLineTo(9.0f)
                verticalLineToRelative(-3.27f)
                lineToRelative(-3.0f, 1.73f)
                lineToRelative(-1.0f, -1.73f)
                lineTo(8.0f, 12.0f)
                lineToRelative(-3.0f, -1.73f)
                lineToRelative(1.0f, -1.73f)
                lineToRelative(3.0f, 1.73f)
                verticalLineTo(7.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(3.27f)
                lineToRelative(3.0f, -1.73f)
                lineToRelative(1.0f, 1.73f)
                lineTo(12.0f, 12.0f)
                close()
            }
        }
        return _emergencyRecording!!
    }

private var _emergencyRecording: ImageVector? = null
